[81516] contrib/mpab

jmr at macports.org jmr at macports.org
Sun Jul 31 20:43:03 PDT 2011


Revision: 81516
          http://trac.macports.org/changeset/81516
Author:   jmr at macports.org
Date:     2011-07-31 20:43:03 -0700 (Sun, 31 Jul 2011)
Log Message:
-----------
mpab: add a progress log that just shows which ports have been built and their status

Modified Paths:
--------------
    contrib/mpab/chroot-scripts/buildports
    contrib/mpab/mpab-functions

Modified: contrib/mpab/chroot-scripts/buildports
===================================================================
--- contrib/mpab/chroot-scripts/buildports	2011-08-01 02:48:03 UTC (rev 81515)
+++ contrib/mpab/chroot-scripts/buildports	2011-08-01 03:43:03 UTC (rev 81516)
@@ -62,6 +62,7 @@
 
 cleanBuildStuff
 PORTRESULTSDIR="/var/tmp/portresults"
+PROGRESSLOG="/var/tmp/progress.log"
 rm -rf ${PORTRESULTSDIR}
 /bin/mkdir -p ${PORTRESULTSDIR}/success ${PORTRESULTSDIR}/fail
 
@@ -90,7 +91,7 @@
 for portName in ${portList}; do
    trap "echo \"Canceled, cleaning up...\"; cleanBuildStuff" EXIT
 
-   echo "Building ${portName} (${currentCount} of ${portCount})...\c"
+   echo "Building ${portName} (${currentCount} of ${portCount})...\c" | tee -a ${PROGRESSLOG}
    # If there's a package, don't build again
    portVersion=`${PREFIX}/bin/port info --version --line ${portName}`
    portRevision=`${PREFIX}/bin/port info --revision --line ${portName}`
@@ -111,10 +112,10 @@
          ${PREFIX}/bin/port -dv install $portName | tee ${PORTRESULTSDIR}/${portName}.log 2>&1
          if [[ ${PIPESTATUS[0]} == 0 ]]; then
             /bin/mv ${PORTRESULTSDIR}/${portName}.log ${PORTRESULTSDIR}/success
-            echo "success"
+            echo "success" | tee -a ${PROGRESSLOG}
          else
             /bin/mv ${PORTRESULTSDIR}/${portName}.log ${PORTRESULTSDIR}/fail
-            echo "failure"
+            echo "failure" | tee -a ${PROGRESSLOG}
             ${PREFIX}/bin/port clean --work $portName
          fi
          uninstallPorts
@@ -123,7 +124,7 @@
             exit 2
          fi
       else
-         echo "skipping, ${skipPort} previously failed and is needed"
+         echo "skipping, ${skipPort} previously failed and is needed" | tee -a ${PROGRESSLOG}
          echo "${portName} not built due to failed dependency ${skipPort}" > ${PORTRESULTSDIR}/fail/${portName}.log
       fi
    #fi

Modified: contrib/mpab/mpab-functions
===================================================================
--- contrib/mpab/mpab-functions	2011-08-01 02:48:03 UTC (rev 81515)
+++ contrib/mpab/mpab-functions	2011-08-01 03:43:03 UTC (rev 81516)
@@ -266,6 +266,10 @@
 
    cp -p ${baseDir}/chroot-scripts/genportlist.tcl ${chrootPath}/var/tmp/
 
+   rm -f ${chrootPath}/var/tmp/progress.log ${baseDir}/progress.log
+   touch ${baseDir}/progress.log
+   ln ${baseDir}/progress.log ${chrootPath}/var/tmp/progress.log
+
    chrootExec buildports
 
    return 0
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/macports-changes/attachments/20110731/89c2ae22/attachment.html>


More information about the macports-changes mailing list